<?php

namespace Hecate\Components\Navigation;


use Hecate\Components\ComponentContainerBase;
use Hecate\Components\Traits\BuilderOverlayTrait;



class NavigationComponent extends ComponentContainerBase {
//	use BuilderOverlayTrait;

	public static $type         = 'navigation';
	protected static $rootClass = 'hecate-navigation';
	protected static $template  = 'components/navigation';

    public function renderBackgroundPartialRefresh() {

    }

	public function getSections() {
		return array(
			array(
				'id'              => $this->getSectionId(),
				'title'           => __( 'Navigation', 'hecate' ),
				'panel'           => $this->getCurrentPanel(),
				'type'            => 'hecate-tab-section',
				'priority'        => 1,
			),
		);
	}
}

